summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Yanes Checcacci Balod2014-06-24 19:18:54 +0200
committer Willy Sudiarto Raharjo2014-06-24 19:18:54 +0200
commite4d2f450a6a025a2418de04d687fdf557671af6d (patch)
treee56b688f261bca66f1f6b4a576e61fc4aa7e7c9b /desktop
parentfc3c3c1d8d71547bc4b7fe2cdb00de48d62ef123 (diff)
downloadslackbuilds-e4d2f450a6a025a2418de04d687fdf557671af6d.tar.gz
desktop/wmpinboard: Added (dock application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmpinboard/README17
-rw-r--r--desktop/wmpinboard/slack-desc19
-rw-r--r--desktop/wmpinboard/wmpinboard.SlackBuild108
-rw-r--r--desktop/wmpinboard/wmpinboard.info10
-rw-r--r--desktop/wmpinboard/wmpinboard.patch11
5 files changed, 165 insertions, 0 deletions
diff --git a/desktop/wmpinboard/README b/desktop/wmpinboard/README
new file mode 100644
index 0000000000..0f2d5e01b1
--- /dev/null
+++ b/desktop/wmpinboard/README
@@ -0,0 +1,17 @@
+
+wmpinboard is a Window Maker dock applet resembling a miniature pinboard.
+
+It's intended to somewhat relieve heavily littered desktops by allowing
+you to place reminders on a graphical on-screen pinboard rather than
+producing a mess of real notes all around your keyboard.
+
+Besides text, you can add small monochrome sketches to your notes or simply
+encircle or underline words as a means of emphasis, and alarms can be set
+to explicitly remind you of things.
+
+Above all, wmpinboard is animated in redundant ways to make it look even
+more attractive, and themeability provides for a way of adapting its
+appearance to that of the rest of your desktop.
+
+NOTE: This SlackBuild Script does a PATCH to fix a "segmentation fault"
+ problem.
diff --git a/desktop/wmpinboard/slack-desc b/desktop/wmpinboard/slack-desc
new file mode 100644
index 0000000000..6aea82491b
--- /dev/null
+++ b/desktop/wmpinboard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmpinboard: wmpinboard (dock application)
+wmpinboard:
+wmpinboard: wmpinboard is a Window Maker dock applet resembling a miniature
+wmpinboard: pinboard.
+wmpinboard:
+wmpinboard: It allows you to place reminders on a graphical on-screen pinboard
+wmpinboard: rather than producing a mess of real notes.
+wmpinboard:
+wmpinboard: You can add small monochrome sketches to your notes or simply
+wmpinboard: encircle or underline words as a means of emphasis, and alarms to
+wmpinboard: remind you of things.
diff --git a/desktop/wmpinboard/wmpinboard.SlackBuild b/desktop/wmpinboard/wmpinboard.SlackBuild
new file mode 100644
index 0000000000..00e3aa847f
--- /dev/null
+++ b/desktop/wmpinboard/wmpinboard.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for wmpinboard
+
+# Copyright (c) 2014, Yanes Checcacci Balod <yanes@pobox.com>, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmpinboard
+VERSION=${VERSION:-1.0.orig}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM"_"$VERSION.tar.gz # Attention to "_" and not '-' between "$PRGNAM" and "$VERSION"
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch to fix it!
+cp $CWD/wmpinboard.patch ./
+patch -p0 < wmpinboard.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
+
+make
+make install
+
+# Creating package directories
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+# We go on manual to pick file one by one...
+mv /usr/bin/wmpinboard $PKG/usr/bin
+mv /usr/man/man1/wmpinboard.1 $PKG/usr/man/man1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Collecting each file to DOC package build directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a ChangeLog README COPYING AUTHORS CREDITS TODO INSTALL NEWS $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmpinboard/wmpinboard.info b/desktop/wmpinboard/wmpinboard.info
new file mode 100644
index 0000000000..410b662ab5
--- /dev/null
+++ b/desktop/wmpinboard/wmpinboard.info
@@ -0,0 +1,10 @@
+PRGNAM="wmpinboard"
+VERSION="1.0"
+HOMEPAGE="http://www.cs.mun.ca/~gstarkes/wmaker/dockapps/other.html#wmpinboard"
+DOWNLOAD="ftp://ftp.acc.umu.se/debian/pool/main/w/wmpinboard/wmpinboard_1.0.orig.tar.gz"
+MD5SUM="b5940439704ea7ae368b382d7f9ff3ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yanes Checcacci Balod"
+EMAIL="yanes@pobox.com"
diff --git a/desktop/wmpinboard/wmpinboard.patch b/desktop/wmpinboard/wmpinboard.patch
new file mode 100644
index 0000000000..ae260b3609
--- /dev/null
+++ b/desktop/wmpinboard/wmpinboard.patch
@@ -0,0 +1,11 @@
+--- src/wmpinboard.c 2000-12-08 17:42:23.000000000 -0200
++++ src/wmpinboard.c.new 2014-06-24 00:21:56.000000000 -0300
+@@ -165,7 +165,7 @@
+ char t[STRING_BUF_SIZE];
+ FILE *file;
+ int pid = (int) getpid();
+- static int sizes[6];
++ static int sizes[7];
+ sizes[0] = size_0;
+ sizes[1] = size_1;
+ sizes[2] = size_2;